function CheckMyProfilePane( oF ) {
	if (!oF.fullname.value.length) {
		alert( aJSLangDefs.profile_error_No_name_given );
		oF.fullname.focus();
		return false;
	}
	if (!oF.email.value.length) {
		alert( aJSLangDefs.profile_error_No_email_given );
		oF.email.focus();
		return false;
	}
	if (oF.pwd.value.length) {
		if (oF.pwd.value!=oF.pwd2.value) {
			alert( aJSLangDefs.profile_error_Password_mismatch );
			return false;
		}
	}

	if (!oF.phone.value.length) {
		alert( aJSLangDefs.profile_error_No_phone_given );
		oF.phone.focus();
		return false;
	}
	if (!IsValidPhone( oF.phone.value )) {
		alert( aJSLangDefs.Invalid_contact_phone );
		oF.phone.focus();
		return false;
	}

	ClearFormDirty( oF );
	return true;
}
